Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.corba
Class UlcCorbaBasedTransport

    java.lang.Object
      |
      +--com.ibm.ulc.comm.UlcTransport
            |
            +--com.ibm.ulc.corba.UlcCorbaBasedTransport

Direct Known Subclasses:
  UlcCorbaTransport

public class UlcCorbaBasedTransport
extends UlcTransport

An implemention for ULC transports using CORBA.

See Also:
  `UlcTransport`, Serialized Form

Field Summary
`UlcCorbaServant` | `fReceiver`
`java.lang.String` | `fReceiverIOR`
`com.ibm.ulc.corba.generated.UlcCorbaObject` | `fSender`

Fields inherited from class com.ibm.ulc.comm.UlcTransport
`fConnection, fgDebug, fTerminated, fWriterQueue`

Constructor Summary
`UlcCorbaBasedTransport()` UlcCorbaTransport constructor.
`UlcCorbaBasedTransport(java.lang.String urlString)` UlcCorbaTransport constructor.
`UlcCorbaBasedTransport(com.ibm.ulc.corba.generated.UlcCorbaObject sender, UlcCorbaServant receiver, java.lang.String receiverIOR)` UlcCorbaTransport constructor.

Method Summary
`java.lang.String` | `getLocalUrlString()`
`static org.omg.CORBA.ORB` | `getOrb()`
`protected void` | `initPeerConnection()` Initialize connection to peer if necessary.
`boolean` | `readsAsynch()`
`protected void` | `sendDirect(Request r, boolean flush)`
`UlcCorbaServant` | `startReceiver()`
`com.ibm.ulc.corba.generated.UlcCorbaObject` | `startSender()`
`void` | `stopReceiver()`
`void` | `stopSender()`
`protected void` | `termPeerConnection()`
`boolean` | `writesAsynch()`

Methods inherited from class com.ibm.ulc.comm.UlcTransport
`close, create, getConnection, getHost, getPort, getProperties, getRemoteUrlString, getUrlFile, getUrlString, receive, send, setConnection, setUrlString, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fReceiver

    public UlcCorbaServant fReceiver

### fSender

    public com.ibm.ulc.corba.generated.UlcCorbaObject fSender

### fReceiverIOR

    public java.lang.String fReceiverIOR

Constructor Detail

### UlcCorbaBasedTransport

    public UlcCorbaBasedTransport()

  UlcCorbaTransport constructor.

### UlcCorbaBasedTransport

    public UlcCorbaBasedTransport(com.ibm.ulc.corba.generated.UlcCorbaObject sender,
                                  UlcCorbaServant receiver,
                                  java.lang.String receiverIOR)

  UlcCorbaTransport constructor. Will use the passed in Corba client object.
  Parameters:
    `sender` - com.ibm.ulc.corba.UlcCorbaObject
    `receiver` - com.ibm.ulc.corba.UlcCorbaServant
    `receiverIOR` - java.lang.String

### UlcCorbaBasedTransport

    public UlcCorbaBasedTransport(java.lang.String urlString)

  UlcCorbaTransport constructor. Will use the passed in URL to create a connection to a Corba servant object.
  Parameters:
    `urlString` - java.lang.String

Method Detail

### getLocalUrlString

    public java.lang.String getLocalUrlString()

  Overrides:
    getLocalUrlString in class UlcTransport

### getOrb

    public static org.omg.CORBA.ORB getOrb()

### initPeerConnection

    protected void initPeerConnection()
                               throws UlcTransportException

  Initialize connection to peer if necessary.
  Overrides:
    initPeerConnection in class UlcTransport

### readsAsynch

    public boolean readsAsynch()

  Overrides:
    readsAsynch in class UlcTransport

### sendDirect

    protected void sendDirect(Request r,
                              boolean flush)

  Overrides:
    sendDirect in class UlcTransport

### startReceiver

    public UlcCorbaServant startReceiver()
                                  throws UlcTransportException

### startSender

    public com.ibm.ulc.corba.generated.UlcCorbaObject startSender()
                                                           throws UlcTransportException

### stopReceiver

    public void stopReceiver()

### stopSender

    public void stopSender()

### termPeerConnection

    protected void termPeerConnection()

  Overrides:
    termPeerConnection in class UlcTransport

### writesAsynch

    public boolean writesAsynch()

  Overrides:
    writesAsynch in class UlcTransport

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD